.cb-homepage-post-block {
  width: 100%;
  margin: 32px 0;
  overflow: hidden;
}

.cb-homepage-post-block__grid {
  display: grid;
  grid-template-columns: minmax(0px, 690px) minmax(0px, 285px) minmax(0px, 277px);
  gap: 24px;
  position: relative;
}

.cb-homepage-post-block__col-large,
.cb-homepage-post-block__col-small,
.cb-homepage-post-block__col-popular {
  min-width: 0;
}

.cb-homepage-post-block__large-thumb img,
.cb-homepage-post-block__small-thumb img {
  width: 100%;
  object-fit: cover;
  border-radius: 8px;
  display: block;
}

.cb-homepage-post-block__large-thumb {
  width: 100%;
  height: 430px;
  margin-bottom: -18px;
}

.cb-homepage-post-block__large-thumb img {
  height: 100%;
}

.cb-homepage-post-block__large-content {
  background-color: #000;
  background-image: url("assets/title_bg.svg");
  background-size: cover;
  padding: 16px 32px 16px 16px;
  border-top-right-radius: 100px;
  border-bottom-right-radius: 100px;
  z-index: 1;
  position: relative;
  max-width: 642px;
}

.cb-homepage-post-block__top-story {
  color: #fff;
  font-size: 14px;
  font-style: normal;
  font-weight: 700;
  line-height: 26px;
  padding: 0 12px 0 18px;
  border-radius: 0 26px 26px 0;
  background: #d33;
  position: absolute;
  top: 24px;
  left: 0px;
}

.cb-homepage-post-block__large-content .cb-trending__cat::after {
  background: #5c5c5c;
}

.cb-homepage-post-block__large-title {
  margin: 0 0 10px 0;
  font-size: 34px;
  font-style: normal;
  font-weight: 900;
  line-height: 40px;
  color: #fff;
}

.cb-homepage-post-block__large-title a {
  color: inherit;
  display: -webkit-box;
  -webkit-line-clamp: 3;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-indent: 85px;
  text-decoration: underline;
  text-decoration-color: transparent;
  transition-duration: 0.2s;
  transition-property: text-decoration-color;
  text-underline-offset: 4px;
}

.cb-homepage-post-block__large-title a:hover,
.cb-homepage-post-block__large-title a:active {
  text-decoration-color: #8D0F10;
}

.cb-homepage-post-block__small-item {
  margin-bottom: 12px;
}

.cb-homepage-post-block__small-item:last-child {
  margin-bottom: 0;
}

.cb-homepage-post-block__small-thumb {
  width: 100%;
  height: 180px;
  margin-bottom: 10px;
}

.cb-homepage-post-block__small-thumb img {
  height: 100%;
}

.cb-homepage-post-block__small-title {
  margin: 0 0 8px 0;
  overflow: hidden;
  color: #000;
  text-overflow: ellipsis;
  font-size: 18px;
  font-style: normal;
  font-weight: 600;
  line-height: 22px;

  display: -webkit-box;
  -webkit-line-clamp: 3;
  -webkit-box-orient: vertical;
}

.cb-homepage-post-block__small-title a {
  text-decoration: none;
  color: inherit;
}

.cb-homepage-post-block__small-title a:hover,
.cb-homepage-post-block__small-title a:active {
  color: #8D0F10;
}

.cb-trending__meta {
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  gap: 8px;
  font-size: 12px;
  color: #999;
}

.cb-trending__cat {
  color: #000;
  text-decoration: none;
  text-transform: uppercase;
  font-weight: 700;
  font-size: 12px;
  line-height: 16px;
}

.cb-homepage-post-block__large-content .cb-trending__cat {
  color: #fff;
}

.cb-homepage-post-block__large-content .cb-trending__date {
  color: #fff;
}

.cb-trending__date {
  color: #555;
  font-size: 12px;
  line-height: 16px;
}

.cb-homepage-post-block__popular-header {
  margin-top: 1px;
  display: flex;
  align-items: center;
  gap: 8px;
  margin-bottom: 16px;
}

.cb-homepage-post-block__popular-title {
  max-width: 100%;
  color: #000;
  font-size: 22px;
  font-style: normal;
  font-weight: 900;
  line-height: 24px;
  text-transform: capitalize;
  margin: 0;
  overflow-wrap: break-word;
}

.cb-trending__line {
  flex: 1;
  height: 2px;
  background: #dd3333;
  margin: 0;
  display: block;
}

.cb-homepage-post-block__popular-content article.post--card:last-of-type {
  padding-bottom: 0;
  margin-bottom: 0;
  border-bottom: none;
}

.cb-homepage-post-block__col-popular .posts--trending {
  border-radius: 8px;
  background: #f5f5f5;
  padding: 12px;
}

.cb-homepage-post-block__col-popular .posts--trending article {
  padding-bottom: 16px;
  margin-bottom: 12px;
}

.cb-homepage-post-block__col-popular .post--trending-news {
  border-bottom: 1px solid #dfdfdf;
  display: flex;
  align-items: flex-start;
  gap: 12px;
}

.cb-homepage-post-block__col-popular .post--trending-news:last-of-type {
  border-bottom: none;
  margin-bottom: 0;
  padding-bottom: 0;
}

/* Hide unwanted elements */
.cb-homepage-post-block__col-popular .post__image {
  display: none;
}

.cb-homepage-post-block__col-popular .post__meta__item--term {
  display: none;
}

/* Title  */
.cb-homepage-post-block__col-popular .post__title {
  overflow: hidden;
  color: #000;
  text-overflow: ellipsis;
  font-size: 16px;
  font-style: normal;
  font-weight: 600;
  line-height: 20px;
  margin: 0 0 10px 0;
}

.cb-homepage-post-block__col-popular .post__title a {
  text-decoration: none;
  color: inherit;
}

.cb-homepage-post-block__col-popular .post__meta__item--author {
  color: #555;
  font-size: 12px;
  line-height: 16px;
  text-decoration: none;
}

@media (max-width: 1100px) {
  .cb-homepage-post-block__grid {
    grid-template-columns: 2fr 1fr 1fr;
    gap: 24px;
  }
}

@media (max-width: 767px) {
  .section.cb-homepage-post-block {
    padding-inline: 0;
  }

  .cb-homepage-post-block {
    margin-top: 0;
  }

  .cb-homepage-post-block__grid {
    grid-template-columns: 1fr 1fr;
    grid-template-rows: auto auto auto;
    gap: 0;
  }

  .cb-homepage-post-block__col-large {
    grid-column: 1 / -1;
    margin-bottom: 0px;
  }

  .cb-homepage-post-block__large-thumb {
    height: auto;
    margin-bottom: -45px;
  }

  .cb-homepage-post-block__large-thumb img {
    border-radius: 0;
  }

  .cb-homepage-post-block__large-content {
    border-radius: 0 50px 50px 0;
    padding: 44px 16px 16px 16px;
  }

  .cb-homepage-post-block__top-story {
    top: 8px;
  }

  .cb-homepage-post-block__large-title {
    font-size: 28px;
    font-style: normal;
    font-weight: 900;
    line-height: 30px;
  }

  .cb-homepage-post-block__large-title a {
    text-indent: 0 !important;
  }

  .cb-homepage-post-block__col-small {
    grid-column: 1 / -1;
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 16px;
    padding: 16px 16px 32px 16px;
  }

  .cb-homepage-post-block__small-item {
    margin-bottom: 0;
  }

  .cb-homepage-post-block__small-thumb {
    height: 93px;
    margin-bottom: 12px;
    width: auto;
  }

  .cb-homepage-post-block__popular-header {
    padding-right: 16px;
  }

  .cb-homepage-post-block__small-title {
    font-size: 17px;
    font-style: normal;
    font-weight: 600;
    line-height: 22px;
    display: -webkit-box;
    -webkit-line-clamp: 4;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    width: auto;
  }

  .cb-homepage-post-block__col-small .cb-trending__meta {
    font-size: 12px;
    line-height: 14px;
  }

  .cb-homepage-post-block__col-small .cb-trending__cat,
  .cb-homepage-post-block__col-small .cb-trending__date {
    font-size: 12px;
    line-height: 14px;
  }

  .cb-homepage-post-block__col-popular {
    grid-column: 1 / -1;
    padding-left: 16px;
  }

  .cb-homepage-post-block__col-popular .posts--trending {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    gap: 12px;
    overflow-x: auto;
    padding-bottom: 12px;
    scrollbar-width: none;
    -ms-overflow-style: none;
  }

  .cb-homepage-post-block__col-popular .posts--trending::-webkit-scrollbar {
    display: none;
  }

  .cb-homepage-post-block__col-popular .post--trending-news {
    flex: 0 0 160px;
    width: 160px;
    flex-direction: column;
    border-bottom: none;
    margin-bottom: 0;
    padding-bottom: 0;
    gap: 8px;
  }

  .cb-homepage-post-block__popular-content article.post--card {
    padding-bottom: 0;
    flex: 0 0 160px;
    border-bottom: none;
    align-items: baseline;
    margin-bottom: 0;
  }

  .cb-homepage-post-block__popular-content article.post--card .post__title a {
    display: -webkit-box;
    -webkit-line-clamp: 4;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    width: auto;
  }
}

@media only screen and (min-width: 993px) {
  .cb-homepage-post-block__grid:after,
  .cb-homepage-post-block__grid:before {
    content: '';
    display: inline-block;
    position: absolute;
    top: 0;
    bottom: 0;
    background-repeat: no-repeat;
    background-size: contain;
    pointer-events: none;
    z-index: -1;
  }

  .cb-homepage-post-block__grid:before {
    width: 202px;
    height: 177px;
    left: 0;
    background-image: url("../../assets/images/hp-bg-left.webp");
    background-position: left top;
    transform: translateX(-80%);
  }

  .cb-homepage-post-block__grid:after {
    width: 171px;
    height: 278px;
    right: 0;
    background-image: url("../../assets/images/hp-bg-right.webp");
    background-position: right top 12px;
    transform: translateX(70%);
  }
}